from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XGrid(XInterface, Protocol):
    def getCurrentColumnPosition(self) -> int: ...
    def setCurrentColumnPosition(self, nPos: int) -> None: ...
